Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface ProteinFeature

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Locatable, Persistent, java.io.Serializable

public interface ProteinFeature
extends Locatable

An alignment between a part of the genome and a peptide.

Method Summary
`Analysis` | `getAnalysis()`
`java.lang.String` | `getDisplayName()`
`double` | `getEvalue()`
`java.lang.String` | `getInterproAccession()` Return interpro accession for this protein, can be null.
`java.lang.String` | `getInterproDescription()` Return interpro description for this protein.
`java.lang.String` | `getInterproDisplayName()` Get the interpro display name.
`int` | `getPeptideEnd()`
`int` | `getPeptideStart()`
`double` | `getPercentageIdentity()`
`double` | `getScore()`
`Translation` | `getTranslation()`
`int` | `getTranslationEnd()`
`long` | `getTranslationInternalID()` Returns translation internal id, this is the same as translation.internalID if translation is available.
`int` | `getTranslationStart()`
`void` | `setAnalysis(Analysis analysis)`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setEvalue(double evalue)`
`void` | `setInterproAccession(java.lang.String interproAccession)` Set the interpro accession for this protein.
`void` | `setInterproDescription(java.lang.String interproDescription)` Set the interpro description for this protein.
`void` | `setInterproDisplayName(java.lang.String interproDisplayName)` Set the interpro display name.
`void` | `setPeptideEnd(int peptideEnd)`
`void` | `setPeptideStart(int peptideStart)`
`void` | `setPercentageIdentity(double percentageIdentity)`
`void` | `setScore(double score)`
`void` | `setTranslation(Translation translation)`
`void` | `setTranslationEnd(int translationEnd)`
`void` | `setTranslationInternalID(long translationInternalID)` Sets translation internal id, also sets the translation.internalID if translation is available.
`void` | `setTranslationStart(int translationStart)`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getTranslation

    public Translation getTranslation()

### setTranslation

    public void setTranslation(Translation translation)

### getTranslationInternalID

    public long getTranslationInternalID()

  Returns translation internal id, this is the same as translation.internalID if translation is available.

  Returns:
    internalID of the translation.

### setTranslationInternalID

    public void setTranslationInternalID(long translationInternalID)

  Sets translation internal id, also sets the translation.internalID if translation is available.

### getTranslationStart

    public int getTranslationStart()

### setTranslationStart

    public void setTranslationStart(int translationStart)

### getTranslationEnd

    public int getTranslationEnd()

### setTranslationEnd

    public void setTranslationEnd(int translationEnd)

### getPeptideEnd

    public int getPeptideEnd()

### setPeptideEnd

    public void setPeptideEnd(int peptideEnd)

### getPeptideStart

    public int getPeptideStart()

### setPeptideStart

    public void setPeptideStart(int peptideStart)

### getAnalysis

    public Analysis getAnalysis()

### setAnalysis

    public void setAnalysis(Analysis analysis)

### getDisplayName

    public java.lang.String getDisplayName()

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### getScore

    public double getScore()

  Returns:
    score or Double.NaN if score not set

### setScore

    public void setScore(double score)

### getEvalue

    public double getEvalue()

  Returns:
    evalue or Double.NaN if evalue not set

### setEvalue

    public void setEvalue(double evalue)

### getPercentageIdentity

    public double getPercentageIdentity()

  Returns:
    percentage identity or Integer.MIN_VALUE of not set.

### setPercentageIdentity

    public void setPercentageIdentity(double percentageIdentity)

### getInterproAccession

    public java.lang.String getInterproAccession()

  Return interpro accession for this protein, can be null.

  Returns:
    interpro accession for this protein, can be null.

### setInterproAccession

    public void setInterproAccession(java.lang.String interproAccession)

  Set the interpro accession for this protein.

  Parameters:
    `interproAccession` - interpro accession, can be null.

### getInterproDescription

    public java.lang.String getInterproDescription()

  Return interpro description for this protein.

  Returns:
    interpro description for this protein, can be null.

### setInterproDescription

    public void setInterproDescription(java.lang.String interproDescription)

  Set the interpro description for this protein.

  Parameters:
    `interproDescription` - interpro description, can be null.

### getInterproDisplayName

    public java.lang.String getInterproDisplayName()

  Get the interpro display name.

  Returns:
    interpro display name, can be null.

### setInterproDisplayName

    public void setInterproDisplayName(java.lang.String interproDisplayName)

  Set the interpro display name.

  Parameters:
    `interproDisplayName` - interpro display name, can be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD